com.hazelcast.util

## Enum IterationType

- java.lang.Object
- - java.lang.Enum<IterationType>
  - - com.hazelcast.util.IterationType

- All Implemented Interfaces:
    Serializable, Comparable<IterationType>

      public enum IterationType
      extends Enum<IterationType>

  To differentiate users selection on result collection on map-wide operations like values, keySet, query etc.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ENTRY` Iterate over whole entry (so key and value)
    `KEY` Iterate over keys
    `VALUE` Iterate over values

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static IterationType` | `getById(byte id)` Returns the IterationType for the given ID.
    `byte` | `getId()` Gets the ID for the given IterationType.
    `static IterationType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static IterationType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### KEY

          public static final IterationType KEY

      Iterate over keys

    - #### VALUE

          public static final IterationType VALUE

      Iterate over values

    - #### ENTRY

          public static final IterationType ENTRY

      Iterate over whole entry (so key and value)

  - ### Method Detail

    - #### values

          public static IterationType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (IterationType c : IterationType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static IterationType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getId

          public byte getId()

      Gets the ID for the given IterationType. This reason this ID is used instead of an the ordinal value is that the ordinal value is more prone to changes due to reordering.
      Returns:
        the ID

    - #### getById

          public static IterationType getById(byte id)

      Returns the IterationType for the given ID.
      Returns:
        the IterationType for the given ID
      Throws:
        `IllegalArgumentException` - if no IterationType was found

Copyright © 2018. All rights reserved.